---
project:
  description: This PD example is a simple demonstration based on the MCUXpresso SDK
    PD stack. The application use the shield host board (om13790host) to implement
    the DisplayPort alternate mode.It recognize attached video adapters (like "Type-C
    to DisplayPort" or "Type-C to HDMI"), and drive the adapter to work.
  device: MIMXRT1176DVMAA:cm7
  components:
  - component: NXP::NXP Component:OS Abstraction Layer:osa_bm
  - component: NXP::Device:SDK Utilities:baremetal
  - component: NXP::USB:USB Type-C PD Stack:usb_pd
  - component: NXP::USB:USB Type-C PD Stack:altmode
  - component: NXP::Device:SDK Drivers:gpt_adapter
  - component: NXP::Device:SDK Drivers:igpio_adapter
  - component: NXP::Device:SDK Drivers:lists
  - component: NXP::Device:SDK Drivers:lpi2c_adapter
  - component: NXP::Device:SDK Drivers:lpuart_adapter
  - component: NXP::Device:SDK Utilities:serial_manager_uart
  - component: NXP::Device:SDK Utilities:serial_manager
  - component: NXP::Device:SDK Drivers:lpuart
  - component: NXP::Device:CMSIS:MIMXRT1176_header
  - component: NXP::Device:Startup
  - component: NXP::Device:SDK Drivers:clock
  - component: NXP::Device:SDK Drivers:common
  - component: NXP::Device:SDK Drivers:dcdc_soc
  - component: NXP::Device:SDK Drivers:iomuxc
  - component: NXP::Device:SDK Drivers:pmu_1
  - component: NXP::Board Support:SDK Drivers:evkmimxrt1170 xip
  - component: NXP::Device:SDK Drivers:xip_device
  - component: NXP::USB:USB PD PHY:ptn5110
  - component: NXP::Device:SDK Utilities:assert
  - component: NXP::Device:SDK Utilities:debug_console
  - component: NXP::Device:SDK Utilities:misc_utilities
  - component: NXP::NXP Component:OS Abstraction Layer:osa_interface
  - component: NXP::Device:SDK Drivers:gpt
  - component: NXP::Device:SDK Drivers:gpio
  - component: NXP::Device:SDK Drivers:i2c
  - component: ARM::CMSIS:CORE
  - component: NXP::Device:CMSIS:MIMXRT1176_system
  - component: NXP::Device:SDK Drivers:anatop_ai
  - component: NXP::NXP Component:OS Abstraction Layer:osa
  - component: NXP::USB:USB Type-C PD Stack:config_header
  - component: NXP::USB:USB PD Common Header:common_header
  groups:
  - group: board
    files:
    - file: pin_mux.c
    - file: pin_mux.h
    - file: board.c
    - file: board.h
    - file: clock_config.c
    - file: clock_config.h
    - file: dcd.c
    - file: dcd.h
  - group: source
    files:
    - file: pd_board_config.h
    - file: pd_app.c
    - file: pd_app.h
    - file: pd_app_demo.c
    - file: pd_command_app.c
    - file: pd_command_interface.c
    - file: pd_command_interface.h
    - file: pd_power_app.c
    - file: pd_power_interface.c
    - file: pd_power_interface.h
    - file: pd_app_misc.h
    - file: pd_dp_board_chip.c
    - file: pd_dp_board_chip.h
    - file: pd_crossbar_cbtl.h
    - file: pd_crossbar_cbtl.c
    - file: pd_ptn36502.h
    - file: pd_ptn36502.c
    - file: pd_dp_hpd_driver.h
    - file: pd_dp_hpd_driver.c
    - file: pd_power_nx20p3483.h
    - file: pd_power_nx20p3483.c
  - group: MIMXRT1176/iar
    files:
    - file: iar/MIMXRT1176xxxxx_cm7_ram.icf
      for-compiler:
      - IAR
      for-context:
      - ".debug"
      - ".release"
    - file: iar/MIMXRT1176xxxxx_cm7_sdram.icf
      for-compiler:
      - IAR
      for-context:
      - ".sdram_debug"
      - ".sdram_release"
    - file: iar/MIMXRT1176xxxxx_cm7_flexspi_nor.icf
      for-compiler:
      - IAR
      for-context:
      - ".flexspi_nor_debug"
      - ".flexspi_nor_release"
  - group: MIMXRT1176/arm
    files:
    - file: mdk/MIMXRT1176xxxxx_cm7_ram.scf
      for-compiler:
      - AC6
      for-context:
      - ".debug"
      - ".release"
    - file: mdk/MIMXRT1176xxxxx_cm7_sdram.scf
      for-compiler:
      - AC6
      for-context:
      - ".sdram_debug"
      - ".sdram_release"
    - file: mdk/MIMXRT1176xxxxx_cm7_flexspi_nor.scf
      for-compiler:
      - AC6
      for-context:
      - ".flexspi_nor_debug"
      - ".flexspi_nor_release"
  - group: MIMXRT1176/gcc
    files:
    - file: armgcc/MIMXRT1176xxxxx_cm7_ram.ld
      for-compiler:
      - GCC
      for-context:
      - ".debug"
      - ".release"
    - file: armgcc/MIMXRT1176xxxxx_cm7_sdram.ld
      for-compiler:
      - GCC
      for-context:
      - ".sdram_debug"
      - ".sdram_release"
    - file: armgcc/MIMXRT1176xxxxx_cm7_flexspi_nor.ld
      for-compiler:
      - GCC
      for-context:
      - ".flexspi_nor_debug"
      - ".flexspi_nor_release"
  setups:
  - setup: GCC
    for-compiler: GCC
    for-context: ".debug"
    misc:
    - C:
      - "-DDEBUG"
      - "-D_DEBUG=1"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DDEBUG_CONSOLE_TRANSFER_NON_BLOCKING"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DDEBUG_CONSOLE_ASSERT_DISABLE=1"
      - "-DI2C_RETRY_TIMES=40000"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-g"
      - "-O0"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mapcs"
      - "-std=gnu99"
      ASM:
      - "-DDEBUG"
      - "-D__STARTUP_CLEAR_BSS"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-mcpu=cortex-m7"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      CPP:
      - "-DDEBUG"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DMCUXPRESSO_SDK"
      - "-g"
      - "-O0"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mapcs"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "-g"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "--specs=nano.specs"
      - "--specs=nosys.specs"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mthumb"
      - "-mapcs"
      - "-Wl,--gc-sections"
      - "-Wl,-static"
      - "-Wl,-z"
      - "-Wl,muldefs"
      - "-Wl,-Map=output.map"
      - "-Wl,--print-memory-usage"
      - "-Wl,--defsym=__stack_size__=0x800"
      - "-Wl,--defsym=__heap_size__=0x1000"
      Library:
      - "-lm"
      - "-lc"
      - "-lgcc"
      - "-lnosys"
  - setup: GCC
    for-compiler: GCC
    for-context: ".release"
    misc:
    - C:
      - "-DNDEBUG"
      - "-D_DEBUG=0"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DDEBUG_CONSOLE_TRANSFER_NON_BLOCKING"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DDEBUG_CONSOLE_ASSERT_DISABLE=1"
      - "-DI2C_RETRY_TIMES=40000"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Os"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mapcs"
      - "-std=gnu99"
      ASM:
      - "-DNDEBUG"
      - "-D__STARTUP_CLEAR_BSS"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-mcpu=cortex-m7"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      CPP:
      - "-DNDEBUG"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DMCUXPRESSO_SDK"
      - "-Os"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mapcs"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "--specs=nano.specs"
      - "--specs=nosys.specs"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mthumb"
      - "-mapcs"
      - "-Wl,--gc-sections"
      - "-Wl,-static"
      - "-Wl,-z"
      - "-Wl,muldefs"
      - "-Wl,-Map=output.map"
      - "-Wl,--print-memory-usage"
      - "-Wl,--defsym=__stack_size__=0x800"
      - "-Wl,--defsym=__heap_size__=0x1000"
      Library:
      - "-lm"
      - "-lc"
      - "-lgcc"
      - "-lnosys"
  - setup: GCC
    for-compiler: GCC
    for-context: ".sdram_debug"
    misc:
    - C:
      - "-DUSE_SDRAM"
      - "-DDATA_SECTION_IS_CACHEABLE=1"
      - "-DDEBUG"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DDEBUG_CONSOLE_TRANSFER_NON_BLOCKING"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DDEBUG_CONSOLE_ASSERT_DISABLE=1"
      - "-DI2C_RETRY_TIMES=40000"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-g"
      - "-O0"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mapcs"
      - "-std=gnu99"
      ASM:
      - "-D__STARTUP_CLEAR_BSS"
      - "-DDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-mcpu=cortex-m7"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      CPP:
      - "-DDEBUG"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DMCUXPRESSO_SDK"
      - "-g"
      - "-O0"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mapcs"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "-g"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "--specs=nano.specs"
      - "--specs=nosys.specs"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mthumb"
      - "-mapcs"
      - "-Wl,--gc-sections"
      - "-Wl,-static"
      - "-Wl,-z"
      - "-Wl,muldefs"
      - "-Wl,-Map=output.map"
      - "-Wl,--print-memory-usage"
      - "-Wl,--defsym=__stack_size__=0x800"
      - "-Wl,--defsym=__heap_size__=0x1000"
      Library:
      - "-lm"
      - "-lc"
      - "-lgcc"
      - "-lnosys"
  - setup: GCC
    for-compiler: GCC
    for-context: ".sdram_release"
    misc:
    - C:
      - "-DUSE_SDRAM"
      - "-DDATA_SECTION_IS_CACHEABLE=1"
      - "-DNDEBUG"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DDEBUG_CONSOLE_TRANSFER_NON_BLOCKING"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DDEBUG_CONSOLE_ASSERT_DISABLE=1"
      - "-DI2C_RETRY_TIMES=40000"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Os"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mapcs"
      - "-std=gnu99"
      ASM:
      - "-D__STARTUP_CLEAR_BSS"
      - "-DNDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-mcpu=cortex-m7"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      CPP:
      - "-DNDEBUG"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DMCUXPRESSO_SDK"
      - "-Os"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mapcs"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "--specs=nano.specs"
      - "--specs=nosys.specs"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mthumb"
      - "-mapcs"
      - "-Wl,--gc-sections"
      - "-Wl,-static"
      - "-Wl,-z"
      - "-Wl,muldefs"
      - "-Wl,-Map=output.map"
      - "-Wl,--print-memory-usage"
      - "-Wl,--defsym=__stack_size__=0x800"
      - "-Wl,--defsym=__heap_size__=0x1000"
      Library:
      - "-lm"
      - "-lc"
      - "-lgcc"
      - "-lnosys"
  - setup: GCC
    for-compiler: GCC
    for-context: ".flexspi_nor_debug"
    misc:
    - C:
      - "-DXIP_EXTERNAL_FLASH=1"
      - "-DXIP_BOOT_HEADER_ENABLE=1"
      - "-DDEBUG"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DDEBUG_CONSOLE_TRANSFER_NON_BLOCKING"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DDEBUG_CONSOLE_ASSERT_DISABLE=1"
      - "-DI2C_RETRY_TIMES=40000"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-g"
      - "-O0"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mapcs"
      - "-std=gnu99"
      ASM:
      - "-D__STARTUP_CLEAR_BSS"
      - "-DDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-mcpu=cortex-m7"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      CPP:
      - "-DDEBUG"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DMCUXPRESSO_SDK"
      - "-g"
      - "-O0"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mapcs"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "-g"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "--specs=nano.specs"
      - "--specs=nosys.specs"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mthumb"
      - "-mapcs"
      - "-Wl,--gc-sections"
      - "-Wl,-static"
      - "-Wl,-z"
      - "-Wl,muldefs"
      - "-Wl,-Map=output.map"
      - "-Wl,--print-memory-usage"
      - "-Wl,--defsym=__stack_size__=0x800"
      - "-Wl,--defsym=__heap_size__=0x1000"
      Library:
      - "-lm"
      - "-lc"
      - "-lgcc"
      - "-lnosys"
  - setup: GCC
    for-compiler: GCC
    for-context: ".flexspi_nor_release"
    misc:
    - C:
      - "-DXIP_EXTERNAL_FLASH=1"
      - "-DXIP_BOOT_HEADER_ENABLE=1"
      - "-DNDEBUG"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DDEBUG_CONSOLE_TRANSFER_NON_BLOCKING"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DDEBUG_CONSOLE_ASSERT_DISABLE=1"
      - "-DI2C_RETRY_TIMES=40000"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Os"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mapcs"
      - "-std=gnu99"
      ASM:
      - "-D__STARTUP_CLEAR_BSS"
      - "-DNDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-mcpu=cortex-m7"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      CPP:
      - "-DNDEBUG"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DMCUXPRESSO_SDK"
      - "-Os"
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "-mthumb"
      - "-MMD"
      - "-MP"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mapcs"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "-mcpu=cortex-m7"
      - "-Wall"
      - "-mfloat-abi=hard"
      - "-mfpu=fpv5-d16"
      - "--specs=nano.specs"
      - "--specs=nosys.specs"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mthumb"
      - "-mapcs"
      - "-Wl,--gc-sections"
      - "-Wl,-static"
      - "-Wl,-z"
      - "-Wl,muldefs"
      - "-Wl,-Map=output.map"
      - "-Wl,--print-memory-usage"
      - "-Wl,--defsym=__stack_size__=0x800"
      - "-Wl,--defsym=__heap_size__=0x1000"
      Library:
      - "-lm"
      - "-lc"
      - "-lgcc"
      - "-lnosys"
  - setup: IAR
    for-compiler: IAR
    for-context: ".debug"
    misc:
    - C:
      - "-DDEBUG"
      - "-D_DEBUG=1"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DDEBUG_CONSOLE_TRANSFER_NON_BLOCKING"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DDEBUG_CONSOLE_ASSERT_DISABLE=1"
      - "-DI2C_RETRY_TIMES=40000"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-On"
      - "--debug"
      - "--no_cse"
      - "--no_unroll"
      - "--no_inline"
      - "--no_code_motion"
      - "--no_tbaa"
      - "--no_clustering"
      - "--no_scheduling"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--use_c++_inline"
      ASM:
      - "-DDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-r"
      - "-s"
      - "-M<>"
      - "-w+"
      - "-j"
      CPP:
      - "-DDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "--debug"
      - "--no_cse"
      - "--no_unroll"
      - "--no_code_motion"
      - "--no_tbaa"
      - "--no_clustering"
      - "--no_scheduling"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--ec++"
      Link:
      - "--entry Reset_Handler"
      - "--config_def __stack_size__=0x800"
      - "--config_def __heap_size__=0x1000"
  - setup: IAR
    for-compiler: IAR
    for-context: ".release"
    misc:
    - C:
      - "-DNDEBUG"
      - "-D_DEBUG=0"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DDEBUG_CONSOLE_TRANSFER_NON_BLOCKING"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DDEBUG_CONSOLE_ASSERT_DISABLE=1"
      - "-DI2C_RETRY_TIMES=40000"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--use_c++_inline"
      - "-Oh"
      ASM:
      - "-DNDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-s"
      - "-M<>"
      - "-w+"
      - "-j"
      CPP:
      - "-DNDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--ec++"
      Link:
      - "--entry Reset_Handler"
      - "--config_def __stack_size__=0x800"
      - "--config_def __heap_size__=0x1000"
  - setup: IAR
    for-compiler: IAR
    for-context: ".sdram_debug"
    misc:
    - C:
      - "-DUSE_SDRAM"
      - "-DDATA_SECTION_IS_CACHEABLE=1"
      - "-DDEBUG"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DDEBUG_CONSOLE_TRANSFER_NON_BLOCKING"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DDEBUG_CONSOLE_ASSERT_DISABLE=1"
      - "-DI2C_RETRY_TIMES=40000"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Om"
      - "--debug"
      - "--no_cse"
      - "--no_unroll"
      - "--no_inline"
      - "--no_code_motion"
      - "--no_tbaa"
      - "--no_clustering"
      - "--no_scheduling"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--use_c++_inline"
      ASM:
      - "-DDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-r"
      - "-s"
      - "-M<>"
      - "-w+"
      - "-j"
      CPP:
      - "-DDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "--debug"
      - "--no_cse"
      - "--no_unroll"
      - "--no_code_motion"
      - "--no_tbaa"
      - "--no_clustering"
      - "--no_scheduling"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--ec++"
      Link:
      - "--entry Reset_Handler"
      - "--config_def __stack_size__=0x800"
      - "--config_def __heap_size__=0x1000"
  - setup: IAR
    for-compiler: IAR
    for-context: ".sdram_release"
    misc:
    - C:
      - "-DNDEBUG"
      - "-DUSE_SDRAM"
      - "-DDATA_SECTION_IS_CACHEABLE=1"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DDEBUG_CONSOLE_TRANSFER_NON_BLOCKING"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DDEBUG_CONSOLE_ASSERT_DISABLE=1"
      - "-DI2C_RETRY_TIMES=40000"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Om"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--use_c++_inline"
      ASM:
      - "-DNDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-s"
      - "-M<>"
      - "-w+"
      - "-j"
      CPP:
      - "-DNDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--ec++"
      Link:
      - "--entry Reset_Handler"
      - "--config_def __stack_size__=0x800"
      - "--config_def __heap_size__=0x1000"
  - setup: IAR
    for-compiler: IAR
    for-context: ".flexspi_nor_debug"
    misc:
    - C:
      - "-DDEBUG"
      - "-DXIP_EXTERNAL_FLASH=1"
      - "-DXIP_BOOT_HEADER_ENABLE=1"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DDEBUG_CONSOLE_TRANSFER_NON_BLOCKING"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DDEBUG_CONSOLE_ASSERT_DISABLE=1"
      - "-DI2C_RETRY_TIMES=40000"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Om"
      - "--debug"
      - "--no_cse"
      - "--no_unroll"
      - "--no_inline"
      - "--no_code_motion"
      - "--no_tbaa"
      - "--no_clustering"
      - "--no_scheduling"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--use_c++_inline"
      ASM:
      - "-DDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-r"
      - "-s"
      - "-M<>"
      - "-w+"
      - "-j"
      CPP:
      - "-DDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "--debug"
      - "--no_cse"
      - "--no_unroll"
      - "--no_code_motion"
      - "--no_tbaa"
      - "--no_clustering"
      - "--no_scheduling"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--ec++"
      Link:
      - "--entry Reset_Handler"
      - "--config_def __stack_size__=0x800"
      - "--config_def __heap_size__=0x1000"
  - setup: IAR
    for-compiler: IAR
    for-context: ".flexspi_nor_release"
    misc:
    - C:
      - "-DXIP_EXTERNAL_FLASH=1"
      - "-DXIP_BOOT_HEADER_ENABLE=1"
      - "-DNDEBUG"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DDEBUG_CONSOLE_TRANSFER_NON_BLOCKING"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DDEBUG_CONSOLE_ASSERT_DISABLE=1"
      - "-DI2C_RETRY_TIMES=40000"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Om"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--use_c++_inline"
      ASM:
      - "-DNDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      - "-s"
      - "-M<>"
      - "-w+"
      - "-j"
      CPP:
      - "-DNDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "--diag_suppress Pa082,Pa050"
      - "-e"
      - "--ec++"
      Link:
      - "--entry Reset_Handler"
      - "--config_def __stack_size__=0x800"
      - "--config_def __heap_size__=0x1000"
  - setup: AC6
    for-compiler: AC6
    for-context: ".debug"
    misc:
    - C:
      - "-DDEBUG"
      - "-D_DEBUG=1"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DDEBUG_CONSOLE_TRANSFER_NON_BLOCKING"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DDEBUG_CONSOLE_ASSERT_DISABLE=1"
      - "-DI2C_RETRY_TIMES=40000"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-g"
      - "-O1"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-std=c99"
      - "-fshort-enums"
      - "-fshort-wchar"
      - "-ffunction-sections"
      - "-fno-common"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      ASM:
      - "-DDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      CPP:
      - "-DDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "-g"
      - "-O1"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "--remove"
      - "--entry=Reset_Handler"
      - "--map"
      - "--xref"
      - "--callgraph"
      - "--symbols"
      - "--info sizes"
      - "--info totals"
      - "--info unused"
      - "--info veneers"
      - "--strict"
      - "--diag_suppress 6314"
      - "--library_type=microlib"
      - --predefine="-D__stack_size__=0x800"
      - --predefine="-D__heap_size__=0x1000"
  - setup: AC6
    for-compiler: AC6
    for-context: ".release"
    misc:
    - C:
      - "-DNDEBUG"
      - "-D_DEBUG=0"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DDEBUG_CONSOLE_TRANSFER_NON_BLOCKING"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DDEBUG_CONSOLE_ASSERT_DISABLE=1"
      - "-DI2C_RETRY_TIMES=40000"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Oz"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-std=c99"
      - "-fshort-enums"
      - "-fshort-wchar"
      - "-ffunction-sections"
      - "-fno-common"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      ASM:
      - "-DNDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      CPP:
      - "-DNDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "-Oz"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "--remove"
      - "--entry=Reset_Handler"
      - "--map"
      - "--xref"
      - "--callgraph"
      - "--symbols"
      - "--info sizes"
      - "--info totals"
      - "--info unused"
      - "--info veneers"
      - "--strict"
      - "--diag_suppress 6314"
      - "--library_type=microlib"
      - --predefine="-D__stack_size__=0x800"
      - --predefine="-D__heap_size__=0x1000"
  - setup: AC6
    for-compiler: AC6
    for-context: ".sdram_debug"
    misc:
    - C:
      - "-DUSE_SDRAM"
      - "-DDATA_SECTION_IS_CACHEABLE=1"
      - "-DDEBUG"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DDEBUG_CONSOLE_TRANSFER_NON_BLOCKING"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DDEBUG_CONSOLE_ASSERT_DISABLE=1"
      - "-DI2C_RETRY_TIMES=40000"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-O1"
      - "-g"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-std=c99"
      - "-fshort-enums"
      - "-fshort-wchar"
      - "-ffunction-sections"
      - "-fno-common"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      ASM:
      - "-DDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      CPP:
      - "-DDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "-O1"
      - "-g"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "--remove"
      - "--entry=Reset_Handler"
      - "--map"
      - "--xref"
      - "--callgraph"
      - "--symbols"
      - "--info sizes"
      - "--info totals"
      - "--info unused"
      - "--info veneers"
      - "--strict"
      - "--diag_suppress 6314"
      - "--library_type=microlib"
      - --predefine="-D__stack_size__=0x800"
      - --predefine="-D__heap_size__=0x1000"
  - setup: AC6
    for-compiler: AC6
    for-context: ".sdram_release"
    misc:
    - C:
      - "-DUSE_SDRAM"
      - "-DDATA_SECTION_IS_CACHEABLE=1"
      - "-DNDEBUG"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DDEBUG_CONSOLE_TRANSFER_NON_BLOCKING"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DDEBUG_CONSOLE_ASSERT_DISABLE=1"
      - "-DI2C_RETRY_TIMES=40000"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Oz"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-std=c99"
      - "-fshort-enums"
      - "-fshort-wchar"
      - "-ffunction-sections"
      - "-fno-common"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      ASM:
      - "-DNDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      CPP:
      - "-DNDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "-Oz"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "--remove"
      - "--entry=Reset_Handler"
      - "--map"
      - "--xref"
      - "--callgraph"
      - "--symbols"
      - "--info sizes"
      - "--info totals"
      - "--info unused"
      - "--info veneers"
      - "--strict"
      - "--diag_suppress 6314"
      - "--library_type=microlib"
      - --predefine="-D__stack_size__=0x800"
      - --predefine="-D__heap_size__=0x1000"
  - setup: AC6
    for-compiler: AC6
    for-context: ".flexspi_nor_debug"
    misc:
    - C:
      - "-DXIP_EXTERNAL_FLASH=1"
      - "-DXIP_BOOT_HEADER_ENABLE=1"
      - "-DDEBUG"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DDEBUG_CONSOLE_TRANSFER_NON_BLOCKING"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DDEBUG_CONSOLE_ASSERT_DISABLE=1"
      - "-DI2C_RETRY_TIMES=40000"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-O1"
      - "-g"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-std=c99"
      - "-fshort-enums"
      - "-fshort-wchar"
      - "-ffunction-sections"
      - "-fno-common"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      ASM:
      - "-DDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      CPP:
      - "-DDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "-O1"
      - "-g"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "--remove"
      - "--entry=Reset_Handler"
      - "--map"
      - "--xref"
      - "--callgraph"
      - "--symbols"
      - "--info sizes"
      - "--info totals"
      - "--info unused"
      - "--info veneers"
      - "--strict"
      - "--diag_suppress 6314"
      - "--library_type=microlib"
      - --predefine="-DXIP_BOOT_HEADER_ENABLE=1"
      - --predefine="-D__stack_size__=0x800"
      - --predefine="-D__heap_size__=0x1000"
  - setup: AC6
    for-compiler: AC6
    for-context: ".flexspi_nor_release"
    misc:
    - C:
      - "-DXIP_EXTERNAL_FLASH=1"
      - "-DXIP_BOOT_HEADER_ENABLE=1"
      - "-DNDEBUG"
      - "-DCPU_MIMXRT1176DVMAA_cm7"
      - "-DDEBUG_CONSOLE_TRANSFER_NON_BLOCKING"
      - "-DFSL_OSA_BM_TASK_ENABLE=0"
      - "-DFSL_OSA_BM_TIMER_CONFIG=0"
      - "-DDEBUG_CONSOLE_ASSERT_DISABLE=1"
      - "-DI2C_RETRY_TIMES=40000"
      - "-DSDK_DEBUGCONSOLE=1"
      - "-DMCUXPRESSO_SDK"
      - "-Oz"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-std=c99"
      - "-fshort-enums"
      - "-fshort-wchar"
      - "-ffunction-sections"
      - "-fno-common"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      ASM:
      - "-DNDEBUG"
      - "-D__STARTUP_INITIALIZE_NONCACHEDATA"
      CPP:
      - "-DNDEBUG"
      - "-DMCUXPRESSO_SDK"
      - "-Oz"
      - "-mcpu=cortex-m7"
      - "-mfpu=fpv5-d16"
      - "-fno-common"
      - "-ffunction-sections"
      - "-fdata-sections"
      - "-ffreestanding"
      - "-fno-builtin"
      - "-mthumb"
      - "-fno-rtti"
      - "-fno-exceptions"
      Link:
      - "--remove"
      - "--entry=Reset_Handler"
      - "--map"
      - "--xref"
      - "--callgraph"
      - "--symbols"
      - "--info sizes"
      - "--info totals"
      - "--info unused"
      - "--info veneers"
      - "--strict"
      - "--diag_suppress 6314"
      - "--library_type=microlib"
      - --predefine="-DXIP_BOOT_HEADER_ENABLE=1"
      - --predefine="-D__stack_size__=0x800"
      - --predefine="-D__heap_size__=0x1000"
  rte:
    base-dir: "./$TargetType$/RTE"
